package params;

import lombok.AllArgsConstructor;
import lombok.Data;

@AllArgsConstructor
@Data
public class DTORes {
    // 错误码，0 代表无错误
    private int code = 0;
    // 提示信息
    private String msg = "执行成功";
    // 数据
    private Object data;


    public static DTORes success(Object data){
        return success(data, "执行成功");
    }

    public static DTORes success(Object data, String msg){
        DTORes res = new DTORes(0, msg, data);
        return res;
    }

    public static DTORes fail(int code, String msg){
        DTORes res = new DTORes(code, msg,null);
        return res;
    }

}
